
;
; written by ville helin <vhelin@iki.fi> in 2004
;

.include "defines.i"
.incdir  "include"
.include "nintendo_logo.i"

;
; interrupts
; these can be relocated in realtime as they all reside in RAM.
; (vbi jumps to RAM where yet another jump is made from).
; all interrupts cost this way one additional JP, but are very flexible.
;

.bank 0 slot 0

.org $40				;vbi.
	jp	IRQ_VBI
.org $48				;lcd stat.
	jp	IRQ_LCD
.org $50				;timer.
	jp	IRQ_TIM
.org $58				;serial.
	jp	IRQ_SER
.org $60				;high to low.
	jp	IRQ_HTL

;
; standard beginning
;

.org $100

	nop
	jp	MAIN
